Read the cohesion guide
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/cohesion-guide/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/cohesion-guide/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/cohesion-guide/ \
--header 'Authorization: Bearer <token>'{
"cohesion_guide_mode": "default",
"cohesion_guide_text": "<string>",
"default_cohesion_guide": "<string>"
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}Artifacts
Read the cohesion guide
Read the default artifact snapshot’s cross-artifact cohesion guide.
default_cohesion_guide carries the platform default text so clients
can preview what mode=default resolves to. Requires view permission.
GET
/
projects
/
{project_id}
/
artifacts
/
cohesion-guide
/
Read the cohesion guide
import requests
url = "https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/cohesion-guide/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/cohesion-guide/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://eu.app.clarifeye.ai/api/v1/projects/{project_id}/artifacts/cohesion-guide/ \
--header 'Authorization: Bearer <token>'{
"cohesion_guide_mode": "default",
"cohesion_guide_text": "<string>",
"default_cohesion_guide": "<string>"
}{
"error": "Authentication credentials were not provided."
}{
"error": "You do not have permission to perform this action."
}Authorizations
BearerAuthTokenAuth
Use Authorization: Bearer
Path Parameters
UUID of the project